from django.conf.urls import url
from recruiter.views import (index, getout, registration_success, how_it_works, verify_mobile,
                             send_mobile_verification_code, account_activation,
                             user_profile, change_password, jobs_list, inactive_jobs,
                             new_job, edit_job, view_job, preview_job, copy_job,
                             deactivate_job, enable_job, delete_job, resume_upload,
                             applicants, view_company, multiple_resume_upload,
                             enable_email_notifications, edit_company, company_recruiter_list,
                             company_recruiter_create, edit_company_recruiter, resume_pool,
                             delete_company_recruiter, activate_company_recruiter,
                             company_recruiter_profile, resume_view, resume_edit)
from .views import (dashboard, hired_candidates,
                    jobs_billing_process, client_list, add_client, edit_client,
                    delete_client, client_profile, add_branch, add_contract_deatils,
                    applicant_status_change, user_work_log,
                    delete_applicant_status, delete_resume, view_resumes,
                    job_status_change)

app_name = "agency"

urlpatterns = [

    url(r'^$', index, name="index"),
    url(r'^out/$', getout, name="getout"),

    url(r'^thank-you-message/$', registration_success,
        name="registration_success"),
    url(r'^how-it-works/$', how_it_works, name="how_it_works"),
    url(r'^dashboard/$', dashboard, name="dashboard"),

    url(r'^mobile/verify/$', verify_mobile, name="verify_mobile"),
    url(r'^send/mobile_verification_code/$',
        send_mobile_verification_code, name="send_mobile_verification_code"),
    url(r'^activation/(?P<user_id>[a-zA-Z0-9]+)/$',
        account_activation, name="account_activation"),
    url(r'^profile/$', user_profile, name="profile"),
    url(r'^change-password/$', change_password, name="change_password"),
    url(r'^work-log/$', user_work_log, name="user_work_log"),

    url(r'^job/list/$', jobs_list, name="list"),
    url(r'^job/inactive/list/$', inactive_jobs, name="inactive_jobs"),
    url(r'^job/(?P<status>[-\w]+)/new/$', new_job, name="new"),
    url(r'^job/edit/(?P<job_post_id>[a-zA-Z0-9]+)/$', edit_job, name="edit"),
    url(r'^job/view/(?P<job_post_id>[a-zA-Z0-9]+)/$', view_job, name="view"),
    url(r'^job/preview/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        preview_job, name="preview"),
    url(r'^job/(?P<status>[-\w]+)/copy/$', copy_job, name="copy"),
    url(r'^job/deactivate/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        deactivate_job, name="deactivate_job"),
    url(r'^job/enable/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        enable_job, name="enable"),
    url(r'^job/delete/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        delete_job, name="delete"),
    url(r'^job/applicants/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        applicants, name="applicants"),

    url(r'^job/resumes/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        view_resumes, name="view_resumes"),
    url(r'^job/status/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        job_status_change, name="job_status_change"),
    url(r'^job/enable-email-notifications/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        enable_email_notifications, name="enable_email_notifications"),

    url(r'^job/hired-candidates/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        hired_candidates, name="hired_candidates"),

    url(r'^job/billing/(?P<job_post_id>[a-zA-Z0-9]+)/$',
        jobs_billing_process, name="jobs_billing_process"),
    url(r'^company/edit/$', edit_company, name="edit_company"),

    url(r'^recruiters/$', company_recruiter_list,
        name="company_recruiter_list"),
    url(r'^recruiter/add/$', company_recruiter_create,
        name="company_recruiter_create"),
    url(r'^recruiter/edit/(?P<recruiter_id>[a-zA-Z0-9]+)/$',
        edit_company_recruiter, name="edit_company_recruiter"),
    url(r'^recruiter/delete/(?P<recruiter_id>[a-zA-Z0-9]+)/$',
        delete_company_recruiter, name="delete_company_recruiter"),
    url(r'^recruiters/status/(?P<recruiter_id>[a-zA-Z0-9]+)/$',
        activate_company_recruiter, name="activate_company_recruiter"),
    url(r'^recruiters/profile/(?P<recruiter_id>[a-zA-Z0-9]+)/$',
        company_recruiter_profile, name="company_recruiter_profile"),

    url(r'^clients/$', client_list, name="client_list"),
    url(r'^clients/add/$', add_client, name="add_client"),
    url(r'^clients/edit/(?P<client_id>[a-zA-Z0-9]+)/$',
        edit_client, name="edit_client"),
    url(r'^clients/delete/(?P<client_id>[a-zA-Z0-9]+)/$',
        delete_client, name="delete_client"),
    url(r'^clients/profile/(?P<client_id>[a-zA-Z0-9]+)/$',
        client_profile, name="client_profile"),

    url(r'^clients/branch/(?P<branch_id>[a-zA-Z0-9]+)/$',
        add_branch, name="add_branch"),
    url(r'^clients/contract-details/(?P<contact_details_id>[a-zA-Z0-9]+)/$',
        add_contract_deatils, name="add_contract_deatils"),

    url(r'^resume/pool/$', resume_pool, name="resume_pool"),
    url(r'^resume/upload/$', resume_upload, name="resume_upload"),
    url(r'^multiple/resumes/upload/$', multiple_resume_upload, name="multiple_resume_upload"),
    url(r'^resume/edit/(?P<resume_id>[a-zA-Z0-9]+)/$',
        resume_edit, name="resume_edit"),
    url(r'^resume/view/(?P<resume_id>[a-zA-Z0-9]+)/$',
        resume_view, name="resume_view"),
    url(r'^applicant/status/(?P<applicant_id>[a-zA-Z0-9]+)/$',
        applicant_status_change, name="applicant_status_change"),
    url(r'^applicant/delete/(?P<applicant_id>[a-zA-Z0-9]+)/$',
        delete_applicant_status, name="delete_applicant_status"),

    url(r'^resume/delete/(?P<resume_id>[a-zA-Z0-9]+)/$',
        delete_resume, name="delete_resume"),
    url(r'^microsite-page/$', view_company, name="view_company"),

]
